<?php if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

class Vatansms_SMS_Ads {

	public function __construct() {

		if ( ! is_admin() || get_option( 'pwoosms_ads_noticemelli' ) ) {
			return;
		}

		add_action( 'pwoosms_settings_form_admin_notices', array( $this, 'adminNotice' ) );
		add_action( 'wp_ajax_pwoosms_notice_dismiss', array( $this, 'ajaxCallback' ) );
	}

	public function adminNotice() { ?>
        <div class="notice notice-info below-h2" id="sms-notic-block"><p>
                 Simdi VatanSMS abone ol.
                <br><br>
                <a href='http://www.vatansms.com/' class='button button-primary button-large' target='_blank'>abone ol</a>
                <a href='#' onclick='return false;' class='button button-secondary button-large'>vatan sms Aboneam</a>
            </p>
        </div>
        <script type="text/javascript">
            jQuery(document).on('click', '#sms-notic-block .button-secondary', function () {
                jQuery.ajax({
                    url: ajaxurl,
                    data: {
                        action: 'pwoosms_notice_dismiss'
                    }
                }).done(function () {
                    jQuery("#sms-notic-block").slideUp(1000);
                });
            })
        </script>
		<?php
	}

	public function ajaxCallback() {
		update_option( 'pwoosms_ads_noticemelli', 1 );
		die();
	}

}

new Vatansms_SMS_Ads();